Ios – Application Loader ERROR ITMS-90062: The value for key CFBundleShortVersionString must contain a higher version

app-storeappstore-approvalios

I am trying to upload an update for an app on App Store using Application Loader. I am getting the following error.

ERROR ITMS-90062: "This bundle is invalid. The value for key CFBundleShortVersionString [1.0.0] in the Info.plist file must contain a higher version than that of the previously approved version [1.0.0]."

I thought the CFBundleShortVersionString was allowed to remain the same, but the build number (or "Bundle Version/CFBundleVersion"), should increment on each build.

Is this because the version label (CFBundleShortVersionString) has to increment on each approved version? Meaning bug fix updates and such needs to bump the version label displayed in the App Store?

Best Solution

You don't need to change the CFBundleShortVersionString, the issue here is that your app is already approved, and it is in "Pending Developer Release" state. Remove your app through "cancel this release" and try to upload again. It should work.

Related Question